%define ver 1.0
%define rel 11mdk

Summary: Sets the system to use either a local terminal or a serial console.
Summary(cs): Pepne systm mezi mstn obrazovkou a sriovou konzol
Summary(da): Skifter mellem local konsol og seriel konsole
Summary(de): Stellt ein, ob ein lokales Terminal oder eine serielle Konsole benutzt wird
Summary(fi): Vaihtaa konsolin paikallisen nytn ja ptteen vlill
Summary(fr): Commute un systme entre la vido locale et les consoles srie.
Summary(it): Cambia la console di sistema tra locale e seriale
Summary(tr): Sistem konsolunu yerel ya da seri konsol olarak deitirir
Name: setconsole
Version: %{ver}
Release: %{rel}
Copyright: GPL
Group: System Environment/Base
Source: setconsole-1.0.tar.bz2
Patch: setconsole-1.0.patch.bz2
Patch1: setconsole-1.0-chmou.patch.bz2
Exclusiveos: Linux
Requires: /bin/sh textutils grep sed
BuildArchitectures: noarch
BuildRoot: /var/tmp/setconsole-root

%description
Setconsole is a basic system utility for setting up the /etc/inittab,
/dev/systty and /dev/console files to handle a new console.  The
console can be either the local terminal (i.e., directly attached to
the system via a video card) or a serial console.

%description -l cs
setconsole nastavuje /etc/inittab, /dev/systty a /dev/console pro novou
konzoli. Konzole me bt bu mstn terminl (pmo pipojen
k systmu prostednictvm video karty) nebo sriov konzole.

%description -l da
setconsole indstiller /etc/inittab, /dev/systty og /dev/console til en ny
konsol. Konsolen kan vre enten den lokale terminal (direkte via et skrmkort)
eller en seriel terminal.

%description -l de
Setconsole ist ein Systemutility, um /etc/inittab, /dev/systty und
/dev/console zu konfigurieren. Die Konsole kann entweder ein lokales
Terminal sein (z.B. direkt angeschlossen ber Grafikkarte) oder eine
serielle Konsole.

%description -l fi
setconsole muokkaa tiedostoja /etc/inittab, /dev/systty ja /dev/console 
mritten uuden konsolin. Konsoli voi olla joko paikallinen tai sarjaportin 
kautta liitetty pte.

%description -l fr
setconsole configure /etc/inittab, /dev/systty et /dev/console pour une
nouvelle console. Celle-ci peut tre soit le terminal local (li au
systme via une carte vido) ou une console srie.

%description -l it
setconsole tramite /etc/inittab, /dev/systty e /dev/console
inizializza una nuova console, che potrebbe essere un terminale locale
(attaccato direttamente tramite una scheda video) oppure via seriale.

%description -l tr
setconsole, sistemin konsolunu deitirmek iin /etc/inittab, /dev/systty ve
/dev/console dosyalarn ayarlar. Konsol, dorudan grnt kartna ya da seri
iskeleye bal bir ubirim olabilir.

%prep
%setup -q
%patch -p1
%patch1 -p1

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,man/man8}

install -m755 setconsole $RPM_BUILD_ROOT/usr/sbin/setconsole
install -m644 setconsole.8 $RPM_BUILD_ROOT/usr/man/man8

bzip2 -9f $RPM_BUILD_ROOT/usr/man/man8/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/sbin/setconsole
/usr/man/man8/setconsole.8.bz2

%changelog
* Tue Jul 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- fix buggy setconsole script.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- add de locale

* Thu Feb 11 1999 Michael Maher <mike@redhat.com>
- merged Jakub's changes into the regular 6.0 stuff.

* Wed Nov 04 1998 Jakub Jelinek <jj@ultra.linux.cz>
- with 2.1 /dev/console, a lot of things are not needed any more.

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Sep 09 1997 Erik Troan <ewt@redhat.com>
- made a noarch package
